Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
partial_sort_copy.hpp File Reference

## Functions
template<typename I , typename SI , typename O , typename SO , typename C = less, typename PI = identity, typename PO = identity>
O | ranges::partial_sort_copy (I first, SI last, O out_begin, SO out_end, C pred=C{}, PI in_proj=PI{}, PO out_proj=PO{})
| function template `partial_sort_copy` More...
template<typename InRng , typename OutRng , typename C = less, typename PI = identity, typename PO = identity>
borrowed_iterator_t< OutRng > | ranges::partial_sort_copy (InRng &&in_rng, OutRng &&out_rng, C pred=C{}, PI in_proj=PI{}, PO out_proj=PO{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...